import _sequelize from 'sequelize';
const { Model, Sequelize } = _sequelize;

export default class system extends Model {
  static init(sequelize, DataTypes) {
  super.init({
    ID: {
      autoIncrement: true,
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true
    },
    EventDate: {
      type: DataTypes.DATE,
      allowNull: false,
      defaultValue: Sequelize.fn('current_timestamp')
    },
    MessageID: {
      type: DataTypes.SMALLINT,
      allowNull: false
    },
    Data: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    Severity: {
      type: DataTypes.TINYINT.UNSIGNED,
      allowNull: false
    },
    Duration: {
      type: DataTypes.BIGINT,
      allowNull: false
    }
  }, {
    sequelize,
    tableName: 'system',
    hasTrigger: true,
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "ID" },
        ]
      },
    ]
  });
  return system;
  }
}
